%global momorel 5

#allow remote set quota by defined rpcsetquota to 1(set to 0 to disabled it)
%{!?rpcsetquota:%define rpcsetquota 1}

Name: quota
Summary: System administration tools for monitoring users' disk usage
Version: 3.17
Release: %{momorel}m%{?dist}
License: BSD and GPLv2+
URL: http://sourceforge.net/projects/linuxquota/
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: initscripts >= 6.38 tcp_wrappers e2fsprogs
Conflicts: kernel < 2.4
BuildRequires: e2fsprogs-devel gettext tcp_wrappers-devel nss-devel
BuildRequires: openldap-devel openssl-devel
Source0: http://dl.sourceforge.net/sourceforge/linuxquota/%{name}-%{version}.tar.gz
NoSource: 0
Patch0:	quota-3.06-warnquota.patch
Patch1: quota-3.06-no-stripping.patch
Patch2: quota-3.06-man-page.patch
Patch3: quota-3.06-pie.patch
Patch4: quota-3.13-wrong-ports.patch
Patch5: quota-3.16-helpoption.patch
Patch6: quota-3.16-quotaoffhelp.patch
Patch7: quota-3.17-link.patch

%description
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per filesystem.

%package devel
Summary: Development files for quota
Group: System Environment/Base
Requires: quota =  %{version}-%{release}

%description devel
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per filesystem.

This package contains development header files for implementing quotas
on remote machines.

%prep
%setup -q -n quota-tools
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifnarch ppc ppc64
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1 -b .usage
%patch7 -p1 -b .link

#fix typos/mistakes in localized documentation
for pofile in $(find ./po/*.p*)
do
   sed -i 's/editting/editing/' "$pofile"
done

%build
%configure \
	--enable-ldapmail=try \
%if %{rpcsetquota}
	--enable-rpcsetquota=yes \
%endif
	--enable-rootsbin
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/{man1,man2,man3,man8}
make install INSTALL='install -p' ROOTDIR=%{buildroot}
install -m 644 warnquota.conf %{buildroot}%{_sysconfdir}

#
# we don't support XFS yet
#
#rm -f %{buildroot}%{_sbindir}/quot
#rm -f %{buildroot}%{_sbindir}/xqmstats
#rm -f %{buildroot}%{_mandir}/man8/quot.*
#rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

ln -sf  ./quotaon.8 %{buildroot}%{_mandir}/man8/quotaoff.8

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/*
%attr(0755,root,root) /sbin/*
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man2/*
%attr(0644,root,root) %{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
#%%dir %{_includedir}/rpcsvc
%{_includedir}/rpcsvc/*
%attr(0644,root,root) %{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.17-5m)
- full rebuild for mo7 release

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.17-4m)
- fix build with gcc-4.4.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.17-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Jun  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.17-2m)
- remove duplicate directory

* Thu Jun  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.17-1m)
- sync with Fedora 11 (1:3.17-4), but we enable xfs

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.16-3m)
- rebuild against rpm-4.6

* Thu Oct  9 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.16-2m)
- fix quotaon's path

* Sat Jun 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16-1m)
- update to 3.16
- import new patch from Fedora and update some patches

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.14-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.14-2m)
- %%NoSource -> NoSource

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.14-1m)
- sync FC-devel 3.14-1
- update to 3.14

* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.13-1m)
- update to 3.13

* Sat Mar 12 2005 Yasuo Ohgaki <yoghaki@momonga-linux.org>
- (3.12-1m)
- sync with FC3

* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.11-4m)
- enable x86_64.

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (3.11-3m)
- revised spec. rpc.rquotad belongs quota package.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.11-2m)
- revised spec for rpm 4.2.

* Thu Feb 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.11-1m)
- update to 3.11
- add quotagrpadmins.sample
- add quotatab.sample

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.08-1m)
- version up to 3.08
- add URL
- move binary in /sbin to %%{_sbindir} (catch up changes of tarball)
- generalize listing quota.mo at files section, but now pl only

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.06-2m)
- remove ppc specific parts

* Sat Jul 20 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.06-1m)
- update to 3.06
- add some file to %files

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (3.05-2k)
- ver up.

* Fri Nov 16 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.01-8k)
- add documents

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (3.01-6k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Wed Oct 24 2001 Toru Hsohina <t@kondara.org>
- (3.01-4k)
- PPC needs -D__BYTEORDER_HAS_U64__ ?

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (3.01-2k)
- merge from Jirai.
- avoid conflict with nfs-utils.

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (3.01-3k)
- up to 3.01-final

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (3.01-0.000907k)
- xfs enabled

* Wed Jun 20 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0-2k)
- update to quota-2.00 release.
- changed to use "configure"
- RedHat patches is disabled (for merged to original tree)
- rework quota-misc.patch for rpm building
- fixed /usr/bin/vi to /bin/vi (quota-toriaezu.patch)

* Wed Apr 18 2001 Daiki Matsuda <dyky@df-usa.com>
- (2.0-0.0003004k)
- fixed for ppc to use gcc2.95.3

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- apply patch5 (H.J. Lu)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- quota 2.00 series
- removed unnecessary patches

* Thu Aug  5 1999 Jeff Johnson <jbj@redhat.com>
- fix man page FUD (#4369).

* Thu May 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (Makefile patch, %attr)

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
